config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/esd.conf.new

( cd usr/lib64 ; rm -rf libesd.so )
( cd usr/lib64 ; ln -sf libesd.so.0.2.39 libesd.so )
( cd usr/lib64 ; rm -rf libesd.so.0 )
( cd usr/lib64 ; ln -sf libesd.so.0.2.39 libesd.so.0 )
( cd usr/lib64 ; rm -rf libesddsp.so )
( cd usr/lib64 ; ln -sf libesddsp.so.0.2.39 libesddsp.so )
( cd usr/lib64 ; rm -rf libesddsp.so.0 )
( cd usr/lib64 ; ln -sf libesddsp.so.0.2.39 libesddsp.so.0 )
